colorChannel Class Referenceabstract

`#include <colorchannel.h>`

Inheritance diagram for colorChannel:

## Public Member Functions

| colorChannel (Item *_item)
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
int | getDefaultStorageType () override
virtual int | PixelCtrl (itemCmd cmd, char *subItem=NULL, bool show=true)=0
short | getChannelAddr (short n=0)
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
virtual int | getChanType ()
int | Setup () override
| Remove?? Now getChanType used instead. More...
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Poll (short cause)=0
virtual int | Anounce ()
virtual int | Stop ()
virtual int | Status ()

## Protected Attributes

short | iaddr
short | numArgs
Protected Attributes inherited from abstractOut
Item * | item

## Additional Inherited Members

Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Constructor & Destructor Documentation

## colorChannel()

colorChannel::colorChannel | ( | Item * | _item | ) |

inline

## Member Function Documentation

## Ctrl()

int colorChannel::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |

overridevirtual

Implements abstractOut.

## getChannelAddr()

short colorChannel::getChannelAddr | ( | short | n = `0` | ) |

## getDefaultStorageType()

int colorChannel::getDefaultStorageType | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## PixelCtrl()

virtual int colorChannel::PixelCtrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | show = `true`
| ) |  |

pure virtual

Implemented in out_SPILed, out_pwm, and out_dmx.

## Member Data Documentation

## iaddr

short colorChannel::iaddr

protected

## numArgs

short colorChannel::numArgs

protected

The documentation for this class was generated from the following files:

- colorchannel.h
- colorchannel.cpp